com.jscape.filetransfer

## Interface FileTransferListener

- All Superinterfaces:
    java.util.EventListener
  All Known Subinterfaces:
    FileTransferErrorListener
  All Known Implementing Classes:
    FileTransferListener.Adapter

      public interface FileTransferListener
      extends java.util.EventListener

  Implements methods for capturing events sourced from File Transfer classes.

  Typicaly your application will implement this interface to capture the following events :
  `FileTransferConnectedEvent`
  `FileTransferDisconnectedEvent`
  `FileTransferSslHandshakeEvent`
  `FileTransferCommandEvent`
  `FileTransferResponseEvent`
  `FileTransferUploadEvent`
  `FileTransferDownloadEvent`
  `FileTransferProgressEvent`
  `FileTransferCreateDirEvent`
  `FileTransferChangeDirEvent`
  `FileTransferDeleteDirEvent`
  `FileTransferRenameFileEvent`
  `FileTransferDeleteFileEvent`

  In addition to implementing this interface your application should register itself as an EventListener which may look somewhat like this:

       public class Application ... implements FileTransferListener
       {
        ...
        public ... initMethod(...)
        {
          FtpFileTranfer ftpFt = new FtpFileTranfer();
          ftpFt.addListener(this);
        }
        ...
       }

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `FileTransferListener.Adapter` A listener adapter.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeDir(FileTransferChangeDirEvent event)` Invoked when the remote directory path is changed.
    `void` | `commandSent(FileTransferCommandEvent event)` Invoked when a command is sent to server.
    `void` | `connected(FileTransferConnectedEvent event)` Invoked when connection to server is established.
    `void` | `createDir(FileTransferCreateDirEvent event)` Invoked when a directory is created.
    `void` | `deleteDir(FileTransferDeleteDirEvent event)` Invoked when directory is deleted.
    `void` | `deleteFile(FileTransferDeleteFileEvent event)` Invoked when a file is deleted.
    `void` | `disconnected(FileTransferDisconnectedEvent event)` Invoked when connection to server is released.
    `void` | `download(FileTransferDownloadEvent event)` Invoked when file is downloaded from server.
    `void` | `progress(FileTransferProgressEvent event)` Invoked to mark progress of a download or upload operation.
    `void` | `renameFile(FileTransferRenameFileEvent event)` Invoked when a file is renamed.
    `void` | `responseReceived(FileTransferResponseEvent event)` Invoked when a response is received from server.
    `void` | `sslHandshakeCompleted(FileTransferSslHandshakeEvent event)` Invoked when SSL handshake is completed in SSL-based transfer.
    `void` | `upload(FileTransferUploadEvent event)` Invoked when file is uploaded to server.

- - ### Method Detail

    - #### connected

          void connected(FileTransferConnectedEvent event)

      Invoked when connection to server is established.
      Parameters:
        `event` - a `FileTransferConnectedEvent`
      See Also:
        `FileTransferConnectedEvent`

    - #### disconnected

          void disconnected(FileTransferDisconnectedEvent event)

      Invoked when connection to server is released.
      Parameters:
        `event` - a `FileTransferDisconnectedEvent`
      See Also:
        `FileTransferDisconnectedEvent`

    - #### sslHandshakeCompleted

          void sslHandshakeCompleted(FileTransferSslHandshakeEvent event)

      Invoked when SSL handshake is completed in SSL-based transfer.
      Parameters:
        `event` - an event instance
      See Also:
        `FileTransferSslHandshakeEvent`

    - #### commandSent

          void commandSent(FileTransferCommandEvent event)

      Invoked when a command is sent to server.
      Parameters:
        `event` - a `FileTransferCommandEvent`
      See Also:
        `FileTransferCommandEvent`

    - #### responseReceived

          void responseReceived(FileTransferResponseEvent event)

      Invoked when a response is received from server.
      Parameters:
        `event` - a `FileTransferResponseEvent`
      See Also:
        `FileTransferResponseEvent`

    - #### upload

          void upload(FileTransferUploadEvent event)

      Invoked when file is uploaded to server.
      Parameters:
        `event` - a `FileTransferUploadEvent`
      See Also:
        `FileTransferUploadEvent`

    - #### download

          void download(FileTransferDownloadEvent event)

      Invoked when file is downloaded from server.
      Parameters:
        `event` - a `FileTransferDownloadEvent`
      See Also:
        `FileTransferDownloadEvent`

    - #### progress

          void progress(FileTransferProgressEvent event)

      Invoked to mark progress of a download or upload operation.
      Parameters:
        `event` - a `FileTransferProgressEvent`
      See Also:
        `FileTransferProgressEvent`

    - #### changeDir

          void changeDir(FileTransferChangeDirEvent event)

      Invoked when the remote directory path is changed.
      Parameters:
        `event` - a `FileTransferChangeDirEvent`
      See Also:
        `FileTransferChangeDirEvent`

    - #### createDir

          void createDir(FileTransferCreateDirEvent event)

      Invoked when a directory is created.
      Parameters:
        `event` - a `FileTransferCreateDirEvent`
      See Also:
        `FileTransferCreateDirEvent`

    - #### deleteDir

          void deleteDir(FileTransferDeleteDirEvent event)

      Invoked when directory is deleted.
      Parameters:
        `event` - a `FileTransferDeleteDirEvent`
      See Also:
        `FileTransferDeleteDirEvent`

    - #### renameFile

          void renameFile(FileTransferRenameFileEvent event)

      Invoked when a file is renamed.
      Parameters:
        `event` - a `FileTransferRenameFileEvent`
      See Also:
        `FileTransferRenameFileEvent`

    - #### deleteFile

          void deleteFile(FileTransferDeleteFileEvent event)

      Invoked when a file is deleted.
      Parameters:
        `event` - a `FileTransferDeleteFileEvent`
      See Also:
        `FileTransferDeleteFileEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved